@import url('https://fonts.googleapis.com/css2?family=Lato:ital,wght@0,300;0,400;0,700;1,300;1,400;1,700&display=swap');

* {
  box-sizing: border-box;
}

html {
  color: #000;
  font-family: 'Lato', sans-serif;
}

body {
  min-height: 100vh;
  margin: 0;
  display: flex;
}

main {
  margin: auto;
}

fieldset {
  width: 420px;
  padding: 10px 20px 0px 0px;
  background-color: #eee;
  border: 2px solid #b6b6b6;
}

label {
  font-size: 13px;
  text-align: right;
}

div {
  display: flex;
  align-items: center;
  margin-bottom: 7px;
}

input[type='text'],
input[type='submit'],
input[type='reset'],
input[type='email'],
input[type='password'],
select {
  width: 70%;
  height: 40px;
}
input[type='submit'],
input[type='reset'] {
  width: initial;
  height: initial;
  margin-left: 7px;
  padding: 1px 4px;
  font-size: 12px;
}
input[type='password'] {
  background-color: #fdc2ec;
  border: 2px solid #af037b;
}
input[type='text'],
input[type='email'] {
  background-color: #fdffb2;
  border: 2px solid #a4a805;
}
select {
  background-color: #bdb8f9;
  border: 2px solid #1f149b;
}
textarea {
  width: 70%;
  background-color: #c6ffc5;
  border: 2px solid #399e38;
}
input[type='submit'] {
  background-color: #a3fd9c;
}
input[type='reset'] {
  background-color: #f98e95;
}

.field-text label,
.field-radio label:first-of-type,
.field-checkbox > label {
  margin-right: 5px;
  width: 30%;
  font-weight: bold;
  text-align: right;
}

.field-checkbox > label {
  margin-top: -7px;
}

.field-checkbox__wrapper {
  display: flex;
  flex-direction: column;
  align-items: flex-start;
  width: 70%;
}
.field-checkbox__wrapper > div {
  margin-bottom: 5px;
}
.field-checkbox .field-checkbox__wrapper label {
  font-weight: normal;
}

.field-btns {
  margin-left: 30%;
}
